GCLOUD_COMPUTE_INSTANCE-GROUPS_SET-NAMED-PORTS(1)

NAME

gcloud compute instance-groups set-named-ports - sets the list of named ports for an instance group

SYNOPSIS

gcloud compute instance-groups set-named-ports NAME --named-ports=[NAME:PORT,...] [--region=REGION | --zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Named ports are key:value pairs metadata representing the service name and the port that it's running on. Named ports can be assigned to an instance group, which indicates that the service is available on all instances in the group. This information is used by the HTTP Load Balancing service. gcloud compute instance-groups set-named-ports sets the list of named ports for all instances in an instance group. Note: Running this command will clear all existing named ports.

POSITIONAL ARGUMENTS

    NAME
        The name of the instance group to operate on.

REQUIRED FLAGS

    --named-ports=[NAME:PORT,...]
        The comma-separated list of key:value pairs representing the service name and the port that it is running on. To clear the list of named ports pass empty list as flag value. For example:
        $ gcloud compute instance-groups set-named-ports \
            example-instance-group --named-ports ""

OPTIONAL FLAGS
At most one of these may be specified:

    --region=REGION
        The region of the instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the instance group to operate on. If not specified, you may be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
For example, to apply the named ports to an entire instance group:
    $ gcloud compute instance-groups set-named-ports \
        example-instance-group --named-ports example-service:1111 \
        --zone us-central1-a
The above example will assign a name 'example-service' for port 1111 to the instance group called 'example-instance-group' in the us-central1-a zone. The command removes any named ports that are already set for this instance group. To clear named ports from instance group provide empty named ports list as parameter:
    $ gcloud compute instance-groups set-named-ports \
        example-instance-group --named-ports "" --zone us-central1-a